Uses of Interface
io.vertx.httpproxy.ProxyRequest
Packages that use ProxyRequest
-
Uses of ProxyRequest in io.vertx.httpproxy
Methods in io.vertx.httpproxy that return ProxyRequestModifier and TypeMethodDescriptionProxyRequest.putHeader(CharSequence name, CharSequence value) Put an HTTP header.ProxyRequest.release()Release the proxy request and its associated resources.ProxyContext.request()ProxyResponse.request()Return the correspondingProxyRequest.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest) Create a newProxyRequestinstance, the proxied request will be paused.static ProxyRequestProxyRequest.reverseProxy(HttpServerRequest proxiedRequest, ForwardedHeadersOptions forwardedHeadersOptions) LikeProxyRequest.reverseProxy(HttpServerRequest)but using specific ForProxyRequest.setAuthority(HostAndPort authority) Set the request authority.Set the request body to be sent to the origin server.ProxyRequest.setMethod(HttpMethod method) Set the HTTP method to be sent to the origin server.Set the request URI to be sent to the origin server. -
Uses of ProxyRequest in io.vertx.rxjava3.httpproxy
Methods in io.vertx.rxjava3.httpproxy that return ProxyRequestMethods in io.vertx.rxjava3.httpproxy with parameters of type ProxyRequestConstructors in io.vertx.rxjava3.httpproxy with parameters of type ProxyRequest